Subject: RFC 4824 Errata: For your amusement

From: Bob Braden <[email-masked]>
Date: Mon, 9 Apr 2007 13:06:50 -0700 (PDT)

----- Begin Included Message -----

>From [email-masked]  Mon Apr  9 12:03:36 2007
From: Alfred Hönes <[email-masked]>
Subject: RFC 4824 Errata
To: [email-masked], [email-masked]
Date: Mon, 9 Apr 2007 21:00:15 +0200 (MESZ)

Hello,
after studying the recently published RFC 4824 (IP-SFS)
authored by you, I would like to submit a few comments,
pointing out some issues I found with the RFC text.

The items below are presented in RFC textual order.
I use change bars ('|' in column 1) and occasionally
up/down pointing marker lines ('^^^'/'vvv') to emphasize
the location of textual issues and/or proposed corrections.

(1)  Section 4.3

There's a word omission in the final paragraph of Section 4.3 :

                                v
|    [...].  If the link partner ready to receive, it returns an RTR
   signal.

should better say:

                                vvvv
|    [...].  If the link partner is ready to receive, it returns an RTR
   signal.

(2)  Section 5

RFC 4824 completely fails to appropriatey point out the benefits and
merits of IP-SFS, and to perform a fair comparison with industry
standard strenght security for common wireless protocols.

Apparently, IP-SFS provides for industry standard Wireless Equivalent
Privacy (WEP).  It *is* a wireless protocol!  Its interfaces do not
consume electrical power (if used under daylight conditions) and do not
produce any electromagnetical interference.  The former property
results in great applicability to developing economies that lack
substantial ubiquitous electrical power distribution but have a lot of
cheap manpower available, but it also makes IP-SFS great for countries
with instable electrical power distribution systems, like the U.S.
(and, yet currently still to a lesser degree, Europe).  Both properties
together make IP-SFS strictly immune to any modern cryptanalytical
methods based on the variation of power consumption over time and to
the suspected industry espionage by the electronical 'sky ears' still
deployed in Europe and otherwise mostly idle, since the end of the Cold
War.

Furthermore, IP-SFS apparently is very well suited for environments
with stringent legal requirements for the war against the Axis of
Evil, with its step-by-step increasing legal custody of privacy and
political correctness of content to be performed / enforced by
legal authorities and cooperating access and content providers.

That should make IP-SFS particularly interesting for the emerging
infrastructure of the .cn domain (and for many other countries,
as well).

To change the disadvantageous presentation of IP-SFS and to address
at least a few of its benefits, I recommend to change, via an RFC
Errata Note, the first paragraph of Section 5,

|  By its nature of line-of-sight signaling, IP-SFS is considered
|  insecure.  The transmission of sensitive data over IP-SFS is strongly
|  discouraged unless security is provided by higher level protocols.

to say:

|  By its nature of line-of-sight signaling, IP-SFS is considered to
|  provide industry strength wireless equivalent security and privacy
|  (WEP).  The transmission of sensitive data over IP-SFS is strongly
|  discouraged unless security is provided by legal environments or
|  corporate guidelines of conduct, impending punishment of the
|  interfaces, or other higher level protocols.

:-)

Please comment.

Preferrably, you should submit an Author's Errata Note to the
RFC Editor's RFC Errata web pages, making freely use of the
material supplied above.  But if you like, I can formally
submit an Errata Note on my own, with your consent.

(Authors:
 The last person acknowledged in Section 6 of RFC 4824 might provide
 you with further context on this note and its origin, if needed.)

Best regards,
  Alfred HÎnes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

----- End Included Message -----